//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
//=============================================================================//

#include "Color.h"
#include "combine_mine.h"

#ifndef COMBINE_MINE_RTS_H
#define COMBINE_MINE_RTS_H

#ifdef _WIN32
#pragma once
#endif

class CBounceBombRTS : public CBounceBomb
{
	DECLARE_CLASS( CBounceBombRTS, CBounceBomb );
	DECLARE_DATADESC();

public:
	CBounceBombRTS() {}

	void SetTeamRTSID( int teamid );
	virtual bool IsFriend( CBaseEntity *pEntity );

private:
	int m_iTeamID;
};

#endif // COMBINE_MINE_RTS_H